<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c61345ccedc39c1977427766275" . "e2da6" => base64_decode("aW1hZ2VfZ2FsbGVy" . "eQ=="), "_df945ac2fbd" . "d1576202fb48" . "096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc3" . "Q="), "p" . "e" . "r" . "m" . "s" => base64_decode("cGVy" . "bXM="), "_61a5ceb347019e37116d4d2907" . "163b82" => base64_decode("bWF" . "0Y2" . "hfY" . "Wxs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_df945ac2fbdd1576202fb48096eb43f" . "9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c61345cc" . "edc39c197" . "742776627" . "5e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_61a5ceb3470" . "19e37116d4d2" . "907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}